Bug 711132 - Public directory created when user-dirs.conf contains "enabled=False"
Summary: Public directory created when user-dirs.conf contains "enabled=False"
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-user-dirs
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-06 16:00 UTC by Ian Pilcher
Modified: 2015-03-03 23:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-30 16:15:30 UTC
Type: ---


Attachments (Terms of Use)

Description Ian Pilcher 2011-06-06 16:00:13 UTC
Description of problem:
The summary pretty much describes the problem.  I have edited
/etc/xdg/user-dirs.conf and changed "enabled=True" to "enabled=False".
This is working to prevent the creation of most of the directories
(Downloads, Templates, Documents, Music, Pictures, and Videos), but the
Public directory is still being created.

Version-Release number of selected component (if applicable):
xdg-user-dirs-0.14-1.fc15.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Edit /etc/xdg/user-dirs.conf and set "enabled=False"
2. rm -r ~/Public
3. Logout/login
  
Actual results:
Public directory is re-created.

Expected results:
Public directory should not be re-created.

Additional info:
I'm seeing this under KDE, if it matters.

Comment 1 Ian Pilcher 2012-01-30 16:15:30 UTC
I haven't seen this in a while.  Closing.


Note You need to log in before you can comment on or make changes to this bug.